Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 420539 - app-office/libreoffice-9999-r2 make use of gtk3 useflag
Summary: app-office/libreoffice-9999-r2 make use of gtk3 useflag
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: use_gtk3
  Show dependency tree
 
Reported: 2012-06-10 18:22 UTC by Julian Ospald
Modified: 2014-01-07 00:16 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Ospald 2012-06-10 18:22:25 UTC
These packages make use of gtk3 useflag which indicates that there are issues of migration to gtk+:3.
Gtk3 and similar useflags should be avoided.

Adding to tracker. Please have a look.
Comment 1 Tomáš Chvátal (RETIRED) gentoo-dev 2012-08-25 08:22:43 UTC
Hi,
the gtk3 is highly experimental frontend i can't throw at users, but it is really nice to be able to test it for now.

Keeping it as useflag on ebuild until it is ready would be fine with you gnomies?
Comment 2 Tomáš Chvátal (RETIRED) gentoo-dev 2013-04-26 18:52:27 UTC
Just closing it as wontfix. I disable the gtk3 useflag on release branches and at the point the gtk3 is mature i will just swap it for gtk2 one :-)

I would use later tag but it is no longer in bugzie.
Comment 3 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2014-01-07 00:16:30 UTC
You can put it in the Keywords, not that they are often kept track of; but may this comment serve as a reminder if you still plan on doing it.